
### Common Windows Production services

define service {
	service_description		snmp_win_alive
	use				Windows Production service
	hostgroup_name			Windows Prod, !Prod 8x5 Windows
	max_check_attempts		3
	retry_check_interval		2
	check_command			check_snmp_alive
	contacts			Igor V. Gubenko
}

define service {
	service_description		snmp_win_alive
	use				Windows Production 8x5 service
	hostgroup_name			Prod 8x5 Windows
	max_check_attempts		3
	retry_check_interval		2
	notification_options		u,c,r
	check_command			check_snmp_alive
	contacts			Igor V. Gubenko
}

define service {
	service_description		nrpe_win_agent_status
	use				Windows Production service
	hostgroup_name			Windows Prod, !Prod 8x5 Windows, MSSQL Prod Clusters
	max_check_attempts		3
	retry_check_interval		1
	check_command			check_nrpe
	contacts			ESS Page, ESS Windows List
}

define service{
	service_description		nrpe_win_agent_status
	use				Windows Production 8x5 service
	hostgroup_name			Prod 8x5 Windows
	max_check_attempts		3
	retry_check_interval		1
	notification_options		u,c,r
	check_command			check_nrpe
	contacts			ESS Page, ESS Windows List
}

define service {
	service_description		nrpe_win_disk_system
	use				Windows Production service
	hostgroup_name			Windows Prod, !Prod 8x5 Windows, !Facilities Production, !SharePoint 2016
	host_name			!dev203w, !aisob218w
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_win_disk!90%!97%!Drive=C:
	contacts			ESS Windows List
}

define service {
	service_description		nrpe_win_disk_system
	use				Windows Production service
	hostgroup_name			Facilities Production
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_win_disk!90%!97%!Drive=C:
	contacts			ESS Windows List, Fac List
}

define service {
	service_description		nrpe_win_disk_system
	use				Windows Production service
	hostgroup_name			SharePoint 2016
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_win_disk!90%!97%!Drive=C:
	contacts			ESS Windows List, Sharepoint Admin
}

define service {
	service_description		nrpe_win_disk_system
	use				Windows Production 8x5 service
	hostgroup_name			Prod 8x5 Windows
	notification_options		u,c,r
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_win_disk!90%!97%!Drive=C:
	contacts			ESS Windows List
}

define service {
	service_description		nrpe_win_disk_system
	use				Windows Production service
	host_name			dev203w
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_win_disk!90%!97%!Drive=C:
	contacts			Kathleen D. Haney, ESS Windows List
}

define service {
	service_description		nrpe_win_disk_system
	use				Windows Production service
	host_name			aisob218w
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_win_disk!90%!97%!Drive=C:
	contacts			ECM Admin Notify, ESS Windows List
}

define service {
	service_description		nrpe_win_disk_app
	use				Windows Production 8x5 service
	hostgroup_name			Prod 8x5 Windows
	host_name			!eisrds201w
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	notification_options		u,c,r
	check_command			check_nrpe_win_all_disks!90%!97%
	contacts			ESS Windows List
}

define service {
	service_description		nrpe_win_disk_app
	use				Windows Production 8x5 service
	host_name			eisrds201w
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	notification_options		u,c,r
	check_command			check_nrpe_win_all_disks_except!90%!97%!Drive=Q: Drive=C:
	contacts			ESS Windows List
}

define service {
	service_description		nrpe_win_disk_app_eis
	use				Windows Production service
	host_name			csgsp200w, csgsp201w, csgsp202w, csgsp203w, csgsp204w
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_win_all_disks_except!90%!97%!Drive=C: Drive=Q:
	notification_options		w,c,r
	contacts			Sharepoint Admin
}


define service {
	service_description		nrpe_win_cpu
	use				Windows Production service
	hostgroup_name			Windows Prod, !Prod 8x5 Windows, !Facilities Production
	host_name			!aishmsres200w
        max_check_attempts		5
        normal_check_interval		30
        retry_check_interval		30
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
        check_command			check_nrpe_win_cpu!90!95!time=1h
#	contacts			Igor V. Gubenko
}

define service {
	service_description		nrpe_win_cpu
	use				Windows Production service
	hostgroup_name			Facilities Production
        max_check_attempts		5
        normal_check_interval		30
        retry_check_interval		30
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
        check_command			check_nrpe_win_cpu!90!95!time=1h
	contact_groups			null
	contacts			Fac List
}


define service {
	service_description		nrpe_win_cpu
	use				Windows Production service
	host_name			aishmsres200w
        retry_check_interval		2
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
        check_command			check_nrpe_win_cpu!75!80!time=7m
	contacts			Christopher Dietrich, pac_usapps, Mary L. Chang
}


define service{
	service_description		nrpe_win_cpu
	use				Windows Production 8x5 service
	hostgroup_name			Prod 8x5 Windows
	max_check_attempts		7
	normal_check_interval		30
	retry_check_interval		30
	notification_options		c,r
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_win_cpu!90!95!time=1h
#	contacts			Igor V. Gubenko
}

define service {
	service_description		nrpe_win_memory
	use				Windows Production service
	host_name			aishmsres200w
	max_check_attempts		6
	normal_check_interval		5
	retry_check_interval		6
	process_perf_data		1
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_win_mem!physical!70%!80%
	contacts			Christopher Dietrich, pac_usapps, Mary L. Chang
}

define service {
	service_description		nrpe_win_paging_used
	use				Windows Production service
	hostgroup_name			Windows Prod, !Prod 8x5 Windows, !Facilities Production
	process_perf_data		1
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_win_mem!page!90%!95%
	contacts			ESS Windows List
}

define service {
	service_description		nrpe_win_paging_used
	use				Windows Production service
	hostgroup_name			Facilities Production
	process_perf_data		1
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_win_mem!page!90%!95%
	contact_groups			null
	contacts			Fac List
}

define service {
	service_description		nrpe_win_paging_used
	use				Windows Production 8x5 service
	hostgroup_name			Prod 8x5 Windows
	notification_options		c,r
	process_perf_data		1
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_win_mem!page!90%!95%
	contacts			ESS Windows List
}

define service {
	service_description		nrpe_win_service_McAfee
	use				Windows Production service
	host_name			ais201w, sdp200w, sdp201w, sdp202w, sdpalc200w
	check_command			check_nrpe_win_service!McAfeeFramework McShield McTaskManager
	contacts			ESS Windows List
}

define service {
	service_description		nrpe_win_service_standard
	use				Windows Production service
#	hostgroup_name			Windows Prod, !Prod 8x5 Windows, !AWS Untrust Prod Windows
	hostgroup_name			Windows Prod, !Prod 8x5 Windows
	host_name			!csgcas204w, !csgcas205w, !csghub208w, !ais201w, !sdp200w, !sdp201w, !sdp202w, !sdpalc200w
	check_command			check_nrpe_win_service!CSFalconService Eventlog "Rapid7 Insight Agent" SNMP Snare "Tripwire Enterprise Agent" "Tripwire Detection Service"
	contacts			ESS Windows List
}

#define service {
#	service_description		nrpe_win_service_standard
#	use				Windows Production service
#	host_name		 	aishmsres210w, aishmsres211w, aishwscbord200w, ant-had200w, asmobile203w, ath201w, csgcas206w, csghub209w, eishpdm200w, eisrds201w, essconsole200w, essonsm200w, esssan202w, esssma100w, fac211w, fac212w, fac213w, fac214w, fac214w-centric, fac216w-xibo, fac219w-tsw, fac-goshin200w, fac-keys200w, fac-rds-200w, fac-rds-201w, fac-trimble, fac-willo3-200w, iamcas201w, iamdirsync200w, iamshib201w	
#	check_command			check_nrpe_win_service!CSFalconService Eventlog SNMP Snare "Tripwire Enterprise Agent" "Tripwire Detection Service"
#	contacts			ESS Windows List
#}

define service {
	service_description		nrpe_win_puppet
	use				Windows Production service
	hostgroup_name			Windows Prod, !Prod 8x5 Windows
	normal_check_interval		30
	retry_check_interval		10
	notification_interval		1440
	check_command			check_nrpe_generic!check_puppet
	#contacts			Nicholas Delo
}

define service {
	service_description		nrpe_win_puppet
	use				Windows Production 8x5 service
	hostgroup_name			Prod 8x5 Windows
	normal_check_interval		30
	retry_check_interval		10
	notification_interval		1440
	check_command			check_nrpe_generic!check_puppet
	#contacts			Nicholas Delo
}

# Snare replaced by McAfee SIEM Collector
define service {
	service_description		nrpe_win_service_standard
	use				Windows Production service
	host_name			csgcas204w, csgcas205w, csghub208w
	check_command			check_nrpe_win_service!CSFalconService Eventlog "McAfee SIEM Collector" "Rapid7 Insight Agent" SNMP "Tripwire Enterprise Agent" "Tripwire Detection Service"
	contacts			ESS Windows List
}

# Same as above for Snare replaced by McAfee SIEM Collector, but TSM also Removed
#define service {
#	service_description		nrpe_win_service_standard
#	use				Windows Production service
#	host_name			csgcas204w
#	check_command			check_nrpe_win_service!CSFalconService Eventlog "McAfee SIEM Collector" "Rapid7 Insight Agent" SNMP "Tripwire Enterprise Agent" "Tripwire Detection Service"
#	contacts			ESS Windows List
#}

#define service {
#	service_description		nrpe_win_service_standard
#	use				Windows Production service
#	host_name			pdom07.pu.win
#	check_command			check_nrpe_win_service!CSFalconService Eventlog "TSM Central Scheduler Service" SNMP "Tripwire Enterprise Agent" "Tripwire Detection Service"
#	contacts			ESS Windows List
#}

# ESS Servers Still Running McAfee ePO and VirusScan
define service {
        service_description             nrpe_win_service_standard
        use                             Windows Production service
        host_name                       ais201w, sdp200w, sdp201w, sdp202w, sdpalc200w
        check_command                   check_nrpe_win_service!Eventlog "Rapid7 Insight Agent" SNMP Snare "Tripwire Enterprise Agent" "Tripwire Detection Service"
        contacts                        ESS Windows List
}

#define service {
#	service_description		nrpe_win_service_standard
#	use				Windows Production service
#	hostgroup_name			AWS Untrust Prod Windows
#	check_command			check_nrpe_win_service!CSFalconService Eventlog SNMP Snare "Tripwire Enterprise Agent" "Tripwire Detection Service"
#	contacts			ESS Windows List
#}

define service {
	service_description		nrpe_win_service_standard
	use				Windows Production 8x5 service
	hostgroup_name			Prod 8x5 Windows
	notification_options		c,r
	check_command			check_nrpe_win_service!Eventlog SNMP
	contacts			ESS Windows List
}

define service {
	service_description		nrpe_win_service_TSM_Scheduler
	use				Windows Production service
	hostgroup_name			Prod 8x5 Windows
	notification_options		c,r
	check_command			check_nrpe_win_service!"TSM Central Scheduler Service"
	contacts			ESS Windows List
}

define service {
	service_description		nrpe_wintest_service_CCURE800
	use				Windows Dev/QA service
	host_name			spcacsa202w
	check_command			check_nrpe_win_service!CCURE800
	contacts			Bradley Parkot, Ed Biedricki, Keith Tuccillo, Keith Tuccillo css-inc, Edith M. Rzomp, Mark R. Williams
}

define service {
	service_description		snmp_win_OpenManage
	use				Windows Production service
	hostgroup_name			Physical Prod Windows
	notification_interval		43200
	notification_options		c
	check_command			check_snmp_openmanage_new
	contacts			ESS Ops
}

define service {
	service_description		nrpe_win_service_OpenManage
	use				Windows Production service
	hostgroup_name			Physical Prod Windows
	check_command			check_nrpe_win_service!"DSM SA Connection Service" "DSM SA Data Manager" "DSM SA Event Manager" "DSM SA Shared Services"
	contacts			ESS Windows List
}


